unit towers_params;

interface

uses records;

var towers_params_base : array[1..3] of RTowerParamsBlock;

procedure SetTowersParams;

implementation

procedure SetTowersParams;
begin
//1 tower
with towers_params_base[1] do
  begin
    weapons_aviable := 1;
    max_weapons_aviable := 2;
    light_radius := 3;
    build_time := 10000;
    with light_color do begin r := 0.3; g := 0.2; b := -0.2; a := 0.3; end;
    with weapons[1] do
      begin
        target := 0;
        primary := 0;
        radius := 6;
        damage_h := 1.7;
        damage_d := 0;
        damage_s := 0.03;
        speed := 0.9;
      end;
    with weapons[2] do
      begin
        target := 0;
        primary := 0;
        radius := 5;
        damage_h := 1.9;
        damage_d := 0;
        damage_s := 0.01;
        speed := 0.5;
      end;      
  end;


//2 tower
with towers_params_base[2] do
  begin
    weapons_aviable := 1;
    max_weapons_aviable := 2;
    light_radius := 5;
    build_time := 40000;
    with light_color do begin r := 0.3; g := 0.2; b := -0.2; a := 0.3; end;
    with weapons[1] do
      begin
        target := 0;
        primary := 0;
        radius := 7;
        damage_h := 3;
        damage_d := 0;
        damage_s := 0.05;
        speed := 1;
      end;
    with weapons[2] do
      begin
        target := 0;
        primary := 2;
        radius := 8;
        damage_h := 0.3;
        damage_d := 0;
        damage_s := 0.3;
        speed := 1.2;
      end;      
  end;

//3 tower
with towers_params_base[3] do
  begin
    weapons_aviable := 2;
    max_weapons_aviable := 3;
    light_radius := 7;
    build_time := 100000;
    with light_color do begin r := 0.3; g := 0.2; b := - 0.1; a := 0.3; end;
    with weapons[1] do
      begin
        target := 0;
        primary := 0;
        radius := 5;
        damage_h := 7;
        damage_d := 0.5;
        damage_s := 0;
        speed := 1;
      end;
    with weapons[2] do
      begin
        target := 0;
        primary := 0;
        radius := 5;
        damage_h := 8;
        damage_d := 0.2;
        damage_s := 0;
        speed := 0.8;
      end;
    with weapons[3] do
      begin
        target := 0;
        primary := 1;
        radius := 7;
        damage_h := 12;
        damage_d := 0;
        damage_s := 0;
        speed := 0.3;
      end;
  end; 
end;

end.
